% Get property from the specified object and return the value.
%   Call as:
%      get(obj), or
%      get(obj,prop_name)
%   where
%      obj       - object
%      prop_name - property name
%
%   The first form returns the list of property names as a string,
%   the second form returns the value of the named property.
%
function val = get(self,varargin)
    if (nargin == 1)
        val = {{{'eqnums'}, {'equation numbers, array [d,1]'}};
            {{'vec'}, {'data matrix, array [d,1]'}}};
        return;
    else
        prop_name=varargin{1};
        switch prop_name
            case 'eqnums'
                val = self.eqnums;
            case 'vec'
                val = self.vec;
            otherwise
                error(['Unknown property name ''' prop_name '''!']);
        end
    end

end