% Draw polygon.
%
% required arguments:
% x=array of nvert number of rows and 3 columns; the coordinates
% face=array of N rows; N=the numbers of vertices
%        of an N-sided polygonal patch.  The indices point into
%        the x array.
% options = struct with following optional fields
%    facecolor = color if polygons should be drawn in solid color,
%    colors = array of nvert number of rows and 3 columns; per vertex colors
%    fill=string: either 'none' or 'interp' or 'flat'
%
function draw_polygon(self, x, face, options)
if isfield(options,'colors')
    patch('Faces', face, ...
        'Vertices', x,'NormalMode','manual','BackFaceLighting','lit',...
        'FaceVertexCData', options.colors,...
        'FaceColor', 'interp');
else
    facecolor='red';
    if isfield(options,'facecolor')
        facecolor =options.facecolor;
    end
    patch('Faces', face, ...
        'Vertices', x,'NormalMode','manual','BackFaceLighting','lit',...
        'FaceColor', facecolor);
end
